<?php

namespace KupShop\KupShopBundle\Email;

class OrderStornoEmail extends OrderEmail
{
    protected static $name = 'Storno objednávky';
    protected static $type = 'ORDER_STORNO';
    protected static $priority = 7;

    protected $subject = 'Storno objednávky {KOD}';
    protected $template = 'email/email_order_storno.tpl';

    public function getMicrodata(): array
    {
        if ($microdata = parent::getMicrodata()) {
            $microdata['orderStatus'] = 'https://schema.org/OrderCancelled';
        }

        return $microdata;
    }
}
